#ifndef LEDBLINK_H_
#define LEDBLINK_H_

#include "global.h"
#include "microtimer.h"

/*================================================================================================*/
#define LEDBLINK_MODE_STEADY_MSK    0x80000000U
#define LEDBLINK_MODE_STEADY(on)    (LEDBLINK_MODE_STEADY_MSK | ((on) & 1))
#define LEDBLINK_MODE_BLINK_MS(ms)  (~LEDBLINK_MODE_STEADY_MSK & MICROTIMER_uS((ms) * 1000))
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
void ledblink_init(void);
/*------------------------------------------------------------------------------------------------*/
void ledblink_setmode(uint32_t mode);
/*------------------------------------------------------------------------------------------------*/
void ledblink_worker(void);
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
#endif /* LEDBLINK_H_ */
